# GET /v1/people

Annictに登録されている人物情報を取得することができます。

## フィールド

| 名前                      | 概要                            |
| ----------------------- | ----------------------------- |
| id                      | ID                            |
| name                    | 名前                            |
| name\_kana              | 名前 (かな表記)                     |
| name\_en                | 名前 (英語表記)                     |
| nickname                | ニックネーム                        |
| nickname\_en            | ニックネーム (英語表記)                 |
| gender\_text            | 性別                            |
| url                     | 公式サイト等のURL                    |
| url\_en                 | 公式サイト等のURL (英語圏向け)            |
| wikipedia\_url          | WikipediaのURL                 |
| wikipedia\_url\_en      | WikipediaのURL (英語圏向け)         |
| twitter\_username       | Twitterアカウントのusername         |
| twitter\_username\_en   | Twitterアカウントのusername (英語圏向け) |
| birthday                | 誕生日                           |
| blood\_type             | 血液型                           |
| height                  | 身長                            |
| favorite\_people\_count | お気に入りに入れている人の数                |
| casts\_count            | キャストとして登録されている作品の数            |
| staffs\_count           | スタッフとして登録されている作品の数            |
| prefecture              | 出身地                           |

## パラメータ

| 名前           | 概要                                                | 使用例               |
| ------------ | ------------------------------------------------- | ----------------- |
| fields       | レスポンスボディに含まれるデータのフィールドを絞り込みます。                    | fields=id,name    |
| filter\_ids  | 人物をIDで絞り込みます。                                     | filter\_ids=1,2,3 |
| filter\_name | 人物を名前で絞り込みます。                                     | filter\_name=井上   |
| page         | ページ数を指定します。                                       | page=2            |
| per\_page    | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。 | per\_page=30      |
| sort\_id     | 人物をIDで並び替えます。`asc` または `desc` が指定できます。            | sort\_id=desc     |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/people?access_token=(access_token)&filter_ids=7118
```

```javascript
{
  "people": [
    {
      "id": 7118,
      "name": "水瀬いのり",
      "name_kana": "みなせいのり",
      "name_en": "Minase, Inori",
      "nickname": "いのりん、いのすけ",
      "nickname_en": "",
      "gender_text": "女性",
      "url": "http://axl-one.com/talent/minase.html",
      "url_en": "",
      "wikipedia_url": "https://ja.wikipedia.org/wiki/%E6%B0%B4%E7%80%AC%E3%81%84%E3%81%AE%E3%82%8A",
      "wikipedia_url_en": "",
      "twitter_username": "inoriminase",
      "twitter_username_en": "",
      "birthday": "1995-12-02",
      "blood_type": "b",
      "height": 154,
      "favorite_people_count": 74,
      "casts_count": 58,
      "staffs_count": 0,
      "prefecture": {
        "id": 13,
        "name": "東京都"
      }
    }
  ],
  "total_count": 1,
  "next_page": null,
  "prev_page": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/people.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
